﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;

namespace Luticate2.Auth.Middlewares
{
    public class LuAuthMiddleware
    {
        private readonly RequestDelegate _next;

        public LuAuthMiddleware(RequestDelegate next)
        {
            _next = next;
        }

        public async Task Invoke(HttpContext context)
        {
            await _next.Invoke(context);
        }
    }
}