﻿using Luticate2.Auth.Business;
using Luticate2.Utils.Controllers;
using Microsoft.AspNetCore.Mvc;

namespace Luticate2.Auth.Controllers
{
    [Route("luticate/groups")]
    public class LuGroupsController : LuController
    {
        private readonly LuGroupsBusiness _luGroupsBusiness;

        public LuGroupsController(LuGroupsBusiness luGroupsBusiness)
        {
            _luGroupsBusiness = luGroupsBusiness;
        }

        public string Get()
        {
            return _luGroupsBusiness.Get();
        }
    }
}